## mingw-w64-dosbox-staging-0.82.0-1.src.tar.zst

=== src/debug/CMakeLists.txt ===
add_library(libdebug STATIC
		debug.cpp
		debug_disasm.cpp
		debug_gui.cpp
)

target_link_libraries(libdebug PRIVATE libpdcurses $<IF:$<TARGET_EXISTS:SDL2::SDL2>,SDL2::SDL2,SDL2::SDL2-static>)

=== src/midi/CMakeLists.txt ===
add_library(libmidi STATIC
		midi.cpp
		midi_alsa.cpp
		midi_fluidsynth.cpp
		midi_mt32.cpp
		midi_lasynth_model.cpp
		midi_oss.cpp
)

find_package(MT32Emu CONFIG REQUIRED)
find_package(FluidSynth CONFIG REQUIRED)

target_link_libraries(libmidi PRIVATE
		$<IF:$<TARGET_EXISTS:SDL2::SDL2>,SDL2::SDL2,SDL2::SDL2-static>
		MT32Emu::mt32emu
		FluidSynth::libfluidsynth
)

=== src/libs/loguru/CMakeLists.txt ===
add_library(loguru STATIC loguru.cpp)
set(STACK_INCLUDES cxxabi.h dlfcn.h execinfo.h)

check_include_files("${STACK_INCLUDES}" HAS_STACK_INCLUDES LANGUAGE CXX)
if (HAS_STACK_INCLUDES)
	target_compile_definitions(loguru PRIVATE LOGURU_STACKTRACES=1)
endif()

=== PKGBUILD ===
# Maintainer: Christoph Reiter <reiter.christoph@gmail.com>

_realname=dosbox-staging
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=0.82.0
pkgrel=1
pkgdesc="Emulator with builtin DOS for running DOS Games (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://github.com/dosbox-staging/dosbox-staging'
license=('spdx:GPL-2.0-or-later')
provides=("${MINGW_PACKAGE_PREFIX}-dosbox")
replaces=("${MINGW_PACKAGE_PREFIX}-dosbox")
conflicts=("${MINGW_PACKAGE_PREFIX}-dosbox")
depends=(
    "${MINGW_PACKAGE_PREFIX}-fluidsynth"
    "${MINGW_PACKAGE_PREFIX}-libpng"
    "${MINGW_PACKAGE_PREFIX}-opusfile"
    "${MINGW_PACKAGE_PREFIX}-SDL2"
    "${MINGW_PACKAGE_PREFIX}-SDL2_image"
    "${MINGW_PACKAGE_PREFIX}-SDL2_net"
    "${MINGW_PACKAGE_PREFIX}-zlib"
    "${MINGW_PACKAGE_PREFIX}-libslirp"
    "${MINGW_PACKAGE_PREFIX}-munt-mt32emu"
    "${MINGW_PACKAGE_PREFIX}-speexdsp"
    "${MINGW_PACKAGE_PREFIX}-iir"
)
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-meson"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-pkgconf")
source=("https://github.com/dosbox-staging/dosbox-staging/archive/refs/tags/v${pkgver}.tar.gz")
sha256sums=('a3f63f86bf203ba28512e189ce6736cdb0273647e77a62ce47ed3d01b3b4a88d')
noextract=("v${pkgver}.tar.gz")

prepare() {
  bsdtar -xf "v${pkgver}.tar.gz" || bsdtar -xf "v${pkgver}.tar.gz"

  cd "${_realname}-${pkgver}"
  echo -e "#!python\nprint('${pkgver}')" > scripts/get-version.sh
}

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  declare -a extra_config
  if check_option "debug" "n"; then
    extra_config+=("--buildtype=release")
  else
    extra_config+=("--buildtype=debug")
  fi

  MSYS2_ARG_CONV_EXCL="--prefix=" \
  ${MINGW_PREFIX}/bin/meson \
    --prefix="${MINGW_PREFIX}" \
    --wrap-mode=nodownload \
    --auto-features=enabled \
    "${extra_config[@]}" \
    -Dunit_tests=disabled \
    -Ddefault_library=shared \
    ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/meson compile
}

check() {
  cd "${srcdir}/build-${MSYSTEM}"

  ${MINGW_PREFIX}/bin/meson test
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"

  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/meson install

  install -Dm644 "${srcdir}/${_realname}-${pkgver}/LICENSE" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE"
}
